//
//  SBSDKOrientationLock.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKOrientationLock {
    init(from string: String) {
        switch string {
        case "PORTRAIT": self = .portrait
        case "LANDSCAPE": self = .landscape
        case "NONE": self = .none
        default: self = .none
        }
    }
}
