//
//  MethodChannelConstants.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 15.05.23.
//

import Foundation

class MethodChannelConstants {
    //Channels
    static let kBarcodeScannerMethodChannel = "barcode_scanner"
    static let kBarcodeBatchDataMapperMethodChannel = "batch_barcode_data_mapper"
    static let kClassicalCameraFinderChannel = "scanbot_sdk_camera.finder"
    
    // Methods
    static let kOnBarcodeDetected = "onBarcodeDetected"
    static let kOnShowHeavyProcessing = "onShowHeavyProcessing"
    static let kGetFormattedData = "getFormattedData"
    static let kFinderSizeChanged = "finderSizeChanged"
    static let kOnLicenseError = "onLicenseError"
    static let kOnCameraOpenMethod = "onCameraOpen"
    static let kOnBarcodeSelected = "onBarcodeSelected"
}
